import { DynamicModule } from '@nestjs/common';
import { ShardingDataSourceOptions } from '../types/typeorm-sharding.type';
import { ShardingBaseEntity } from '..';
import { BaseEntity } from 'typeorm';
export declare class ShardingModule {
    static forRoot(options: ShardingDataSourceOptions): DynamicModule;
    static forFeature(entities: (typeof BaseEntity | typeof ShardingBaseEntity)[]): DynamicModule;
}
